# ------------------------------------------------------------------------------------
# <copyright company="Aspose" file="aspose_words_cloud.rb">
#   Copyright (c) 2025 Aspose.Words for Cloud
# </copyright>
# <summary>
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice shall be included in all
#  copies or substantial portions of the Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
#  SOFTWARE.
# </summary>
# ------------------------------------------------------------------------------------

# Common files
require_relative 'aspose_words_cloud/api_client'
require_relative 'aspose_words_cloud/api_error'
require_relative 'aspose_words_cloud/version'
require_relative 'aspose_words_cloud/configuration'

# Models
require_relative 'aspose_words_cloud/models/file_reference'
require_relative 'aspose_words_cloud/models/response_error'
require_relative 'aspose_words_cloud/models/available_fonts_response'
require_relative 'aspose_words_cloud/models/azw3_save_options_data'
require_relative 'aspose_words_cloud/models/bmp_save_options_data'
require_relative 'aspose_words_cloud/models/bookmark'
require_relative 'aspose_words_cloud/models/bookmark_data'
require_relative 'aspose_words_cloud/models/bookmark_insert'
require_relative 'aspose_words_cloud/models/bookmark_response'
require_relative 'aspose_words_cloud/models/bookmarks'
require_relative 'aspose_words_cloud/models/bookmarks_outline_level_data'
require_relative 'aspose_words_cloud/models/bookmarks_response'
require_relative 'aspose_words_cloud/models/border'
require_relative 'aspose_words_cloud/models/border_response'
require_relative 'aspose_words_cloud/models/borders_collection'
require_relative 'aspose_words_cloud/models/borders_response'
require_relative 'aspose_words_cloud/models/classification_response'
require_relative 'aspose_words_cloud/models/classification_result'
require_relative 'aspose_words_cloud/models/comment'
require_relative 'aspose_words_cloud/models/comment_insert'
require_relative 'aspose_words_cloud/models/comment_link'
require_relative 'aspose_words_cloud/models/comment_range_end'
require_relative 'aspose_words_cloud/models/comment_range_start'
require_relative 'aspose_words_cloud/models/comment_response'
require_relative 'aspose_words_cloud/models/comments_collection'
require_relative 'aspose_words_cloud/models/comments_response'
require_relative 'aspose_words_cloud/models/comment_update'
require_relative 'aspose_words_cloud/models/compare_data'
require_relative 'aspose_words_cloud/models/compare_options'
require_relative 'aspose_words_cloud/models/compress_options'
require_relative 'aspose_words_cloud/models/compress_response'
require_relative 'aspose_words_cloud/models/csv_data_load_options'
require_relative 'aspose_words_cloud/models/custom_xml_part'
require_relative 'aspose_words_cloud/models/custom_xml_part_insert'
require_relative 'aspose_words_cloud/models/custom_xml_part_link'
require_relative 'aspose_words_cloud/models/custom_xml_part_response'
require_relative 'aspose_words_cloud/models/custom_xml_parts_collection'
require_relative 'aspose_words_cloud/models/custom_xml_parts_response'
require_relative 'aspose_words_cloud/models/custom_xml_part_update'
require_relative 'aspose_words_cloud/models/digital_signature_details'
require_relative 'aspose_words_cloud/models/docm_save_options_data'
require_relative 'aspose_words_cloud/models/doc_save_options_data'
require_relative 'aspose_words_cloud/models/document'
require_relative 'aspose_words_cloud/models/document_entry'
require_relative 'aspose_words_cloud/models/document_entry_list'
require_relative 'aspose_words_cloud/models/document_position'
require_relative 'aspose_words_cloud/models/document_properties'
require_relative 'aspose_words_cloud/models/document_properties_response'
require_relative 'aspose_words_cloud/models/document_property'
require_relative 'aspose_words_cloud/models/document_property_create_or_update'
require_relative 'aspose_words_cloud/models/document_property_response'
require_relative 'aspose_words_cloud/models/document_response'
require_relative 'aspose_words_cloud/models/document_stat_data'
require_relative 'aspose_words_cloud/models/docx_save_options_data'
require_relative 'aspose_words_cloud/models/dotm_save_options_data'
require_relative 'aspose_words_cloud/models/dot_save_options_data'
require_relative 'aspose_words_cloud/models/dotx_save_options_data'
require_relative 'aspose_words_cloud/models/downsample_options_data'
require_relative 'aspose_words_cloud/models/drawing_object'
require_relative 'aspose_words_cloud/models/drawing_object_collection'
require_relative 'aspose_words_cloud/models/drawing_object_insert'
require_relative 'aspose_words_cloud/models/drawing_object_link'
require_relative 'aspose_words_cloud/models/drawing_object_response'
require_relative 'aspose_words_cloud/models/drawing_objects_response'
require_relative 'aspose_words_cloud/models/drawing_object_update'
require_relative 'aspose_words_cloud/models/emf_save_options_data'
require_relative 'aspose_words_cloud/models/eps_save_options_data'
require_relative 'aspose_words_cloud/models/epub_save_options_data'
require_relative 'aspose_words_cloud/models/error'
require_relative 'aspose_words_cloud/models/error_details'
require_relative 'aspose_words_cloud/models/field'
require_relative 'aspose_words_cloud/models/field_collection'
require_relative 'aspose_words_cloud/models/field_insert'
require_relative 'aspose_words_cloud/models/field_link'
require_relative 'aspose_words_cloud/models/field_names'
require_relative 'aspose_words_cloud/models/field_names_response'
require_relative 'aspose_words_cloud/models/field_options'
require_relative 'aspose_words_cloud/models/field_response'
require_relative 'aspose_words_cloud/models/fields_response'
require_relative 'aspose_words_cloud/models/field_update'
require_relative 'aspose_words_cloud/models/file_link'
require_relative 'aspose_words_cloud/models/files_list'
require_relative 'aspose_words_cloud/models/files_upload_result'
require_relative 'aspose_words_cloud/models/flat_opc_macro_save_options_data'
require_relative 'aspose_words_cloud/models/flat_opc_save_options_data'
require_relative 'aspose_words_cloud/models/flat_opc_template_macro_save_options_data'
require_relative 'aspose_words_cloud/models/flat_opc_template_save_options_data'
require_relative 'aspose_words_cloud/models/font'
require_relative 'aspose_words_cloud/models/font_info'
require_relative 'aspose_words_cloud/models/font_response'
require_relative 'aspose_words_cloud/models/footnote'
require_relative 'aspose_words_cloud/models/footnote_collection'
require_relative 'aspose_words_cloud/models/footnote_insert'
require_relative 'aspose_words_cloud/models/footnote_link'
require_relative 'aspose_words_cloud/models/footnote_response'
require_relative 'aspose_words_cloud/models/footnotes_response'
require_relative 'aspose_words_cloud/models/footnotes_stat_data'
require_relative 'aspose_words_cloud/models/footnote_update'
require_relative 'aspose_words_cloud/models/form_field_checkbox'
require_relative 'aspose_words_cloud/models/form_field_checkbox_link'
require_relative 'aspose_words_cloud/models/form_field_collection'
require_relative 'aspose_words_cloud/models/form_field_drop_down'
require_relative 'aspose_words_cloud/models/form_field_drop_down_link'
require_relative 'aspose_words_cloud/models/form_field_response'
require_relative 'aspose_words_cloud/models/form_fields_response'
require_relative 'aspose_words_cloud/models/form_field_text_input'
require_relative 'aspose_words_cloud/models/form_field_text_input_link'
require_relative 'aspose_words_cloud/models/gif_save_options_data'
require_relative 'aspose_words_cloud/models/header_footer'
require_relative 'aspose_words_cloud/models/header_footer_link'
require_relative 'aspose_words_cloud/models/header_footer_link_collection'
require_relative 'aspose_words_cloud/models/header_footer_response'
require_relative 'aspose_words_cloud/models/header_footers_response'
require_relative 'aspose_words_cloud/models/html_fixed_save_options_data'
require_relative 'aspose_words_cloud/models/html_save_options_data'
require_relative 'aspose_words_cloud/models/hyperlink'
require_relative 'aspose_words_cloud/models/hyperlink_response'
require_relative 'aspose_words_cloud/models/hyperlinks'
require_relative 'aspose_words_cloud/models/hyperlinks_response'
require_relative 'aspose_words_cloud/models/image_entry'
require_relative 'aspose_words_cloud/models/image_entry_list'
require_relative 'aspose_words_cloud/models/info_additional_item'
require_relative 'aspose_words_cloud/models/info_response'
require_relative 'aspose_words_cloud/models/jpeg_save_options_data'
require_relative 'aspose_words_cloud/models/json_data_load_options'
require_relative 'aspose_words_cloud/models/link'
require_relative 'aspose_words_cloud/models/link_element'
require_relative 'aspose_words_cloud/models/list_format'
require_relative 'aspose_words_cloud/models/list_format_update'
require_relative 'aspose_words_cloud/models/list_info'
require_relative 'aspose_words_cloud/models/list_insert'
require_relative 'aspose_words_cloud/models/list_level'
require_relative 'aspose_words_cloud/models/list_levels'
require_relative 'aspose_words_cloud/models/list_level_update'
require_relative 'aspose_words_cloud/models/list_response'
require_relative 'aspose_words_cloud/models/lists'
require_relative 'aspose_words_cloud/models/lists_response'
require_relative 'aspose_words_cloud/models/list_update'
require_relative 'aspose_words_cloud/models/load_web_document_data'
require_relative 'aspose_words_cloud/models/markdown_save_options_data'
require_relative 'aspose_words_cloud/models/metafile_rendering_options_data'
require_relative 'aspose_words_cloud/models/mhtml_save_options_data'
require_relative 'aspose_words_cloud/models/modification_operation_result'
require_relative 'aspose_words_cloud/models/node_link'
require_relative 'aspose_words_cloud/models/odt_save_options_data'
require_relative 'aspose_words_cloud/models/office_math_link'
require_relative 'aspose_words_cloud/models/office_math_object'
require_relative 'aspose_words_cloud/models/office_math_object_response'
require_relative 'aspose_words_cloud/models/office_math_objects_collection'
require_relative 'aspose_words_cloud/models/office_math_objects_response'
require_relative 'aspose_words_cloud/models/open_xps_save_options_data'
require_relative 'aspose_words_cloud/models/optimization_options'
require_relative 'aspose_words_cloud/models/ott_save_options_data'
require_relative 'aspose_words_cloud/models/outline_options_data'
require_relative 'aspose_words_cloud/models/page_number'
require_relative 'aspose_words_cloud/models/page_setup'
require_relative 'aspose_words_cloud/models/page_stat_data'
require_relative 'aspose_words_cloud/models/paragraph'
require_relative 'aspose_words_cloud/models/paragraph_format'
require_relative 'aspose_words_cloud/models/paragraph_format_response'
require_relative 'aspose_words_cloud/models/paragraph_format_update'
require_relative 'aspose_words_cloud/models/paragraph_insert'
require_relative 'aspose_words_cloud/models/paragraph_link'
require_relative 'aspose_words_cloud/models/paragraph_link_collection'
require_relative 'aspose_words_cloud/models/paragraph_link_collection_response'
require_relative 'aspose_words_cloud/models/paragraph_list_format_response'
require_relative 'aspose_words_cloud/models/paragraph_response'
require_relative 'aspose_words_cloud/models/pcl_save_options_data'
require_relative 'aspose_words_cloud/models/pdf_digital_signature_details_data'
require_relative 'aspose_words_cloud/models/pdf_encryption_details_data'
require_relative 'aspose_words_cloud/models/pdf_permissions'
require_relative 'aspose_words_cloud/models/pdf_save_options_data'
require_relative 'aspose_words_cloud/models/png_save_options_data'
require_relative 'aspose_words_cloud/models/position_after_node'
require_relative 'aspose_words_cloud/models/position_before_node'
require_relative 'aspose_words_cloud/models/position_inside_node'
require_relative 'aspose_words_cloud/models/preferred_width'
require_relative 'aspose_words_cloud/models/protection_data'
require_relative 'aspose_words_cloud/models/protection_data_response'
require_relative 'aspose_words_cloud/models/protection_request'
require_relative 'aspose_words_cloud/models/protection_request_v2'
require_relative 'aspose_words_cloud/models/ps_save_options_data'
require_relative 'aspose_words_cloud/models/public_key_response'
require_relative 'aspose_words_cloud/models/range_document'
require_relative 'aspose_words_cloud/models/range_text_response'
require_relative 'aspose_words_cloud/models/replace_range'
require_relative 'aspose_words_cloud/models/replace_text_parameters'
require_relative 'aspose_words_cloud/models/replace_text_response'
require_relative 'aspose_words_cloud/models/report_build_options'
require_relative 'aspose_words_cloud/models/report_engine_settings'
require_relative 'aspose_words_cloud/models/revision'
require_relative 'aspose_words_cloud/models/revision_collection'
require_relative 'aspose_words_cloud/models/revisions_modification_response'
require_relative 'aspose_words_cloud/models/revisions_response'
require_relative 'aspose_words_cloud/models/rtf_save_options_data'
require_relative 'aspose_words_cloud/models/run'
require_relative 'aspose_words_cloud/models/run_insert'
require_relative 'aspose_words_cloud/models/run_link'
require_relative 'aspose_words_cloud/models/run_response'
require_relative 'aspose_words_cloud/models/runs'
require_relative 'aspose_words_cloud/models/runs_response'
require_relative 'aspose_words_cloud/models/run_update'
require_relative 'aspose_words_cloud/models/save_response'
require_relative 'aspose_words_cloud/models/save_result'
require_relative 'aspose_words_cloud/models/search_response'
require_relative 'aspose_words_cloud/models/search_result'
require_relative 'aspose_words_cloud/models/search_results_collection'
require_relative 'aspose_words_cloud/models/section'
require_relative 'aspose_words_cloud/models/section_link'
require_relative 'aspose_words_cloud/models/section_link_collection'
require_relative 'aspose_words_cloud/models/section_link_collection_response'
require_relative 'aspose_words_cloud/models/section_page_setup_response'
require_relative 'aspose_words_cloud/models/section_response'
require_relative 'aspose_words_cloud/models/shading'
require_relative 'aspose_words_cloud/models/signature'
require_relative 'aspose_words_cloud/models/signature_collection_response'
require_relative 'aspose_words_cloud/models/sign_options'
require_relative 'aspose_words_cloud/models/split_document_response'
require_relative 'aspose_words_cloud/models/split_document_result'
require_relative 'aspose_words_cloud/models/stat_data_response'
require_relative 'aspose_words_cloud/models/storage_file'
require_relative 'aspose_words_cloud/models/story_child_nodes'
require_relative 'aspose_words_cloud/models/structured_document_tag'
require_relative 'aspose_words_cloud/models/structured_document_tag_collection'
require_relative 'aspose_words_cloud/models/structured_document_tag_insert'
require_relative 'aspose_words_cloud/models/structured_document_tag_list_item'
require_relative 'aspose_words_cloud/models/structured_document_tag_response'
require_relative 'aspose_words_cloud/models/structured_document_tags_response'
require_relative 'aspose_words_cloud/models/structured_document_tag_update'
require_relative 'aspose_words_cloud/models/style'
require_relative 'aspose_words_cloud/models/style_apply'
require_relative 'aspose_words_cloud/models/style_copy'
require_relative 'aspose_words_cloud/models/style_insert'
require_relative 'aspose_words_cloud/models/style_response'
require_relative 'aspose_words_cloud/models/styles_response'
require_relative 'aspose_words_cloud/models/style_update'
require_relative 'aspose_words_cloud/models/svg_save_options_data'
require_relative 'aspose_words_cloud/models/table'
require_relative 'aspose_words_cloud/models/table_cell'
require_relative 'aspose_words_cloud/models/table_cell_format'
require_relative 'aspose_words_cloud/models/table_cell_format_response'
require_relative 'aspose_words_cloud/models/table_cell_insert'
require_relative 'aspose_words_cloud/models/table_cell_response'
require_relative 'aspose_words_cloud/models/table_insert'
require_relative 'aspose_words_cloud/models/table_link'
require_relative 'aspose_words_cloud/models/table_link_collection'
require_relative 'aspose_words_cloud/models/table_link_collection_response'
require_relative 'aspose_words_cloud/models/table_properties'
require_relative 'aspose_words_cloud/models/table_properties_response'
require_relative 'aspose_words_cloud/models/table_response'
require_relative 'aspose_words_cloud/models/table_row'
require_relative 'aspose_words_cloud/models/table_row_format'
require_relative 'aspose_words_cloud/models/table_row_format_response'
require_relative 'aspose_words_cloud/models/table_row_insert'
require_relative 'aspose_words_cloud/models/table_row_response'
require_relative 'aspose_words_cloud/models/tab_stop'
require_relative 'aspose_words_cloud/models/tab_stop_insert'
require_relative 'aspose_words_cloud/models/tab_stops_response'
require_relative 'aspose_words_cloud/models/text_save_options_data'
require_relative 'aspose_words_cloud/models/tiff_save_options_data'
require_relative 'aspose_words_cloud/models/time_zone_info_data'
require_relative 'aspose_words_cloud/models/translate_node_id_response'
require_relative 'aspose_words_cloud/models/user_information'
require_relative 'aspose_words_cloud/models/watermark_data_image'
require_relative 'aspose_words_cloud/models/watermark_data_text'
require_relative 'aspose_words_cloud/models/watermark_text'
require_relative 'aspose_words_cloud/models/word_ml_save_options_data'
require_relative 'aspose_words_cloud/models/words_api_error_response'
require_relative 'aspose_words_cloud/models/words_api_link'
require_relative 'aspose_words_cloud/models/words_response'
require_relative 'aspose_words_cloud/models/xaml_fixed_save_options_data'
require_relative 'aspose_words_cloud/models/xaml_flow_pack_save_options_data'
require_relative 'aspose_words_cloud/models/xaml_flow_save_options_data'
require_relative 'aspose_words_cloud/models/xml_color'
require_relative 'aspose_words_cloud/models/xml_data_load_options'
require_relative 'aspose_words_cloud/models/xps_save_options_data'

# Model requests
require_relative 'aspose_words_cloud/models/requests/accept_all_revisions_request'
require_relative 'aspose_words_cloud/models/requests/accept_all_revisions_online_request'
require_relative 'aspose_words_cloud/models/requests/append_document_request'
require_relative 'aspose_words_cloud/models/requests/append_document_online_request'
require_relative 'aspose_words_cloud/models/requests/apply_style_to_document_element_request'
require_relative 'aspose_words_cloud/models/requests/apply_style_to_document_element_online_request'
require_relative 'aspose_words_cloud/models/requests/build_report_request'
require_relative 'aspose_words_cloud/models/requests/build_report_online_request'
require_relative 'aspose_words_cloud/models/requests/classify_request'
require_relative 'aspose_words_cloud/models/requests/classify_document_request'
require_relative 'aspose_words_cloud/models/requests/classify_document_online_request'
require_relative 'aspose_words_cloud/models/requests/compare_document_request'
require_relative 'aspose_words_cloud/models/requests/compare_document_online_request'
require_relative 'aspose_words_cloud/models/requests/compress_document_request'
require_relative 'aspose_words_cloud/models/requests/compress_document_online_request'
require_relative 'aspose_words_cloud/models/requests/convert_document_request'
require_relative 'aspose_words_cloud/models/requests/copy_file_request'
require_relative 'aspose_words_cloud/models/requests/copy_folder_request'
require_relative 'aspose_words_cloud/models/requests/copy_style_request'
require_relative 'aspose_words_cloud/models/requests/copy_style_online_request'
require_relative 'aspose_words_cloud/models/requests/copy_styles_from_template_request'
require_relative 'aspose_words_cloud/models/requests/create_document_request'
require_relative 'aspose_words_cloud/models/requests/create_folder_request'
require_relative 'aspose_words_cloud/models/requests/create_or_update_document_property_request'
require_relative 'aspose_words_cloud/models/requests/create_or_update_document_property_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_all_paragraph_tab_stops_request'
require_relative 'aspose_words_cloud/models/requests/delete_all_paragraph_tab_stops_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_bookmark_request'
require_relative 'aspose_words_cloud/models/requests/delete_bookmark_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_bookmarks_request'
require_relative 'aspose_words_cloud/models/requests/delete_bookmarks_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_border_request'
require_relative 'aspose_words_cloud/models/requests/delete_border_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_borders_request'
require_relative 'aspose_words_cloud/models/requests/delete_borders_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_comment_request'
require_relative 'aspose_words_cloud/models/requests/delete_comment_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_comments_request'
require_relative 'aspose_words_cloud/models/requests/delete_comments_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_custom_xml_part_request'
require_relative 'aspose_words_cloud/models/requests/delete_custom_xml_part_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_custom_xml_parts_request'
require_relative 'aspose_words_cloud/models/requests/delete_custom_xml_parts_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_document_property_request'
require_relative 'aspose_words_cloud/models/requests/delete_document_property_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_drawing_object_request'
require_relative 'aspose_words_cloud/models/requests/delete_drawing_object_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_field_request'
require_relative 'aspose_words_cloud/models/requests/delete_field_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_fields_request'
require_relative 'aspose_words_cloud/models/requests/delete_fields_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_file_request'
require_relative 'aspose_words_cloud/models/requests/delete_folder_request'
require_relative 'aspose_words_cloud/models/requests/delete_footnote_request'
require_relative 'aspose_words_cloud/models/requests/delete_footnote_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_form_field_request'
require_relative 'aspose_words_cloud/models/requests/delete_form_field_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_header_footer_request'
require_relative 'aspose_words_cloud/models/requests/delete_header_footer_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_headers_footers_request'
require_relative 'aspose_words_cloud/models/requests/delete_headers_footers_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_macros_request'
require_relative 'aspose_words_cloud/models/requests/delete_macros_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_office_math_object_request'
require_relative 'aspose_words_cloud/models/requests/delete_office_math_object_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_office_math_objects_request'
require_relative 'aspose_words_cloud/models/requests/delete_office_math_objects_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_paragraph_request'
require_relative 'aspose_words_cloud/models/requests/delete_paragraph_list_format_request'
require_relative 'aspose_words_cloud/models/requests/delete_paragraph_list_format_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_paragraph_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_paragraph_tab_stop_request'
require_relative 'aspose_words_cloud/models/requests/delete_paragraph_tab_stop_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_run_request'
require_relative 'aspose_words_cloud/models/requests/delete_run_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_section_request'
require_relative 'aspose_words_cloud/models/requests/delete_section_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_structured_document_tag_request'
require_relative 'aspose_words_cloud/models/requests/delete_structured_document_tag_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_table_request'
require_relative 'aspose_words_cloud/models/requests/delete_table_cell_request'
require_relative 'aspose_words_cloud/models/requests/delete_table_cell_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_table_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_table_row_request'
require_relative 'aspose_words_cloud/models/requests/delete_table_row_online_request'
require_relative 'aspose_words_cloud/models/requests/delete_watermark_request'
require_relative 'aspose_words_cloud/models/requests/delete_watermark_online_request'
require_relative 'aspose_words_cloud/models/requests/download_file_request'
require_relative 'aspose_words_cloud/models/requests/execute_mail_merge_request'
require_relative 'aspose_words_cloud/models/requests/execute_mail_merge_online_request'
require_relative 'aspose_words_cloud/models/requests/get_all_revisions_request'
require_relative 'aspose_words_cloud/models/requests/get_all_revisions_online_request'
require_relative 'aspose_words_cloud/models/requests/get_available_fonts_request'
require_relative 'aspose_words_cloud/models/requests/get_bookmark_by_name_request'
require_relative 'aspose_words_cloud/models/requests/get_bookmark_by_name_online_request'
require_relative 'aspose_words_cloud/models/requests/get_bookmarks_request'
require_relative 'aspose_words_cloud/models/requests/get_bookmarks_online_request'
require_relative 'aspose_words_cloud/models/requests/get_border_request'
require_relative 'aspose_words_cloud/models/requests/get_border_online_request'
require_relative 'aspose_words_cloud/models/requests/get_borders_request'
require_relative 'aspose_words_cloud/models/requests/get_borders_online_request'
require_relative 'aspose_words_cloud/models/requests/get_comment_request'
require_relative 'aspose_words_cloud/models/requests/get_comment_online_request'
require_relative 'aspose_words_cloud/models/requests/get_comments_request'
require_relative 'aspose_words_cloud/models/requests/get_comments_online_request'
require_relative 'aspose_words_cloud/models/requests/get_custom_xml_part_request'
require_relative 'aspose_words_cloud/models/requests/get_custom_xml_part_online_request'
require_relative 'aspose_words_cloud/models/requests/get_custom_xml_parts_request'
require_relative 'aspose_words_cloud/models/requests/get_custom_xml_parts_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_request'
require_relative 'aspose_words_cloud/models/requests/get_document_drawing_object_by_index_request'
require_relative 'aspose_words_cloud/models/requests/get_document_drawing_object_by_index_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_drawing_object_image_data_request'
require_relative 'aspose_words_cloud/models/requests/get_document_drawing_object_image_data_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_drawing_object_ole_data_request'
require_relative 'aspose_words_cloud/models/requests/get_document_drawing_object_ole_data_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_drawing_objects_request'
require_relative 'aspose_words_cloud/models/requests/get_document_drawing_objects_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_field_names_request'
require_relative 'aspose_words_cloud/models/requests/get_document_field_names_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_hyperlink_by_index_request'
require_relative 'aspose_words_cloud/models/requests/get_document_hyperlink_by_index_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_hyperlinks_request'
require_relative 'aspose_words_cloud/models/requests/get_document_hyperlinks_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_properties_request'
require_relative 'aspose_words_cloud/models/requests/get_document_properties_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_property_request'
require_relative 'aspose_words_cloud/models/requests/get_document_property_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_protection_request'
require_relative 'aspose_words_cloud/models/requests/get_document_protection_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_statistics_request'
require_relative 'aspose_words_cloud/models/requests/get_document_statistics_online_request'
require_relative 'aspose_words_cloud/models/requests/get_document_with_format_request'
require_relative 'aspose_words_cloud/models/requests/get_field_request'
require_relative 'aspose_words_cloud/models/requests/get_field_online_request'
require_relative 'aspose_words_cloud/models/requests/get_fields_request'
require_relative 'aspose_words_cloud/models/requests/get_fields_online_request'
require_relative 'aspose_words_cloud/models/requests/get_files_list_request'
require_relative 'aspose_words_cloud/models/requests/get_footnote_request'
require_relative 'aspose_words_cloud/models/requests/get_footnote_online_request'
require_relative 'aspose_words_cloud/models/requests/get_footnotes_request'
require_relative 'aspose_words_cloud/models/requests/get_footnotes_online_request'
require_relative 'aspose_words_cloud/models/requests/get_form_field_request'
require_relative 'aspose_words_cloud/models/requests/get_form_field_online_request'
require_relative 'aspose_words_cloud/models/requests/get_form_fields_request'
require_relative 'aspose_words_cloud/models/requests/get_form_fields_online_request'
require_relative 'aspose_words_cloud/models/requests/get_header_footer_request'
require_relative 'aspose_words_cloud/models/requests/get_header_footer_of_section_request'
require_relative 'aspose_words_cloud/models/requests/get_header_footer_of_section_online_request'
require_relative 'aspose_words_cloud/models/requests/get_header_footer_online_request'
require_relative 'aspose_words_cloud/models/requests/get_header_footers_request'
require_relative 'aspose_words_cloud/models/requests/get_header_footers_online_request'
require_relative 'aspose_words_cloud/models/requests/get_info_request'
require_relative 'aspose_words_cloud/models/requests/get_list_request'
require_relative 'aspose_words_cloud/models/requests/get_list_online_request'
require_relative 'aspose_words_cloud/models/requests/get_lists_request'
require_relative 'aspose_words_cloud/models/requests/get_lists_online_request'
require_relative 'aspose_words_cloud/models/requests/get_office_math_object_request'
require_relative 'aspose_words_cloud/models/requests/get_office_math_object_online_request'
require_relative 'aspose_words_cloud/models/requests/get_office_math_objects_request'
require_relative 'aspose_words_cloud/models/requests/get_office_math_objects_online_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraph_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraph_format_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraph_format_online_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraph_list_format_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraph_list_format_online_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraph_online_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraphs_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraphs_online_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraph_tab_stops_request'
require_relative 'aspose_words_cloud/models/requests/get_paragraph_tab_stops_online_request'
require_relative 'aspose_words_cloud/models/requests/get_public_key_request'
require_relative 'aspose_words_cloud/models/requests/get_range_text_request'
require_relative 'aspose_words_cloud/models/requests/get_range_text_online_request'
require_relative 'aspose_words_cloud/models/requests/get_run_request'
require_relative 'aspose_words_cloud/models/requests/get_run_font_request'
require_relative 'aspose_words_cloud/models/requests/get_run_font_online_request'
require_relative 'aspose_words_cloud/models/requests/get_run_online_request'
require_relative 'aspose_words_cloud/models/requests/get_runs_request'
require_relative 'aspose_words_cloud/models/requests/get_runs_online_request'
require_relative 'aspose_words_cloud/models/requests/get_section_request'
require_relative 'aspose_words_cloud/models/requests/get_section_online_request'
require_relative 'aspose_words_cloud/models/requests/get_section_page_setup_request'
require_relative 'aspose_words_cloud/models/requests/get_section_page_setup_online_request'
require_relative 'aspose_words_cloud/models/requests/get_sections_request'
require_relative 'aspose_words_cloud/models/requests/get_sections_online_request'
require_relative 'aspose_words_cloud/models/requests/get_signatures_request'
require_relative 'aspose_words_cloud/models/requests/get_signatures_online_request'
require_relative 'aspose_words_cloud/models/requests/get_structured_document_tag_request'
require_relative 'aspose_words_cloud/models/requests/get_structured_document_tag_online_request'
require_relative 'aspose_words_cloud/models/requests/get_structured_document_tags_request'
require_relative 'aspose_words_cloud/models/requests/get_structured_document_tags_online_request'
require_relative 'aspose_words_cloud/models/requests/get_style_request'
require_relative 'aspose_words_cloud/models/requests/get_style_from_document_element_request'
require_relative 'aspose_words_cloud/models/requests/get_style_from_document_element_online_request'
require_relative 'aspose_words_cloud/models/requests/get_style_online_request'
require_relative 'aspose_words_cloud/models/requests/get_styles_request'
require_relative 'aspose_words_cloud/models/requests/get_styles_online_request'
require_relative 'aspose_words_cloud/models/requests/get_table_request'
require_relative 'aspose_words_cloud/models/requests/get_table_cell_request'
require_relative 'aspose_words_cloud/models/requests/get_table_cell_format_request'
require_relative 'aspose_words_cloud/models/requests/get_table_cell_format_online_request'
require_relative 'aspose_words_cloud/models/requests/get_table_cell_online_request'
require_relative 'aspose_words_cloud/models/requests/get_table_online_request'
require_relative 'aspose_words_cloud/models/requests/get_table_properties_request'
require_relative 'aspose_words_cloud/models/requests/get_table_properties_online_request'
require_relative 'aspose_words_cloud/models/requests/get_table_row_request'
require_relative 'aspose_words_cloud/models/requests/get_table_row_format_request'
require_relative 'aspose_words_cloud/models/requests/get_table_row_format_online_request'
require_relative 'aspose_words_cloud/models/requests/get_table_row_online_request'
require_relative 'aspose_words_cloud/models/requests/get_tables_request'
require_relative 'aspose_words_cloud/models/requests/get_tables_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_bookmark_request'
require_relative 'aspose_words_cloud/models/requests/insert_bookmark_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_comment_request'
require_relative 'aspose_words_cloud/models/requests/insert_comment_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_custom_xml_part_request'
require_relative 'aspose_words_cloud/models/requests/insert_custom_xml_part_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_drawing_object_request'
require_relative 'aspose_words_cloud/models/requests/insert_drawing_object_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_field_request'
require_relative 'aspose_words_cloud/models/requests/insert_field_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_footnote_request'
require_relative 'aspose_words_cloud/models/requests/insert_footnote_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_form_field_request'
require_relative 'aspose_words_cloud/models/requests/insert_form_field_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_header_footer_request'
require_relative 'aspose_words_cloud/models/requests/insert_header_footer_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_list_request'
require_relative 'aspose_words_cloud/models/requests/insert_list_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_or_update_paragraph_tab_stop_request'
require_relative 'aspose_words_cloud/models/requests/insert_or_update_paragraph_tab_stop_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_page_numbers_request'
require_relative 'aspose_words_cloud/models/requests/insert_page_numbers_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_paragraph_request'
require_relative 'aspose_words_cloud/models/requests/insert_paragraph_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_run_request'
require_relative 'aspose_words_cloud/models/requests/insert_run_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_section_request'
require_relative 'aspose_words_cloud/models/requests/insert_section_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_structured_document_tag_request'
require_relative 'aspose_words_cloud/models/requests/insert_structured_document_tag_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_style_request'
require_relative 'aspose_words_cloud/models/requests/insert_style_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_table_request'
require_relative 'aspose_words_cloud/models/requests/insert_table_cell_request'
require_relative 'aspose_words_cloud/models/requests/insert_table_cell_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_table_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_table_row_request'
require_relative 'aspose_words_cloud/models/requests/insert_table_row_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_watermark_request'
require_relative 'aspose_words_cloud/models/requests/insert_watermark_image_request'
require_relative 'aspose_words_cloud/models/requests/insert_watermark_image_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_watermark_online_request'
require_relative 'aspose_words_cloud/models/requests/insert_watermark_text_request'
require_relative 'aspose_words_cloud/models/requests/insert_watermark_text_online_request'
require_relative 'aspose_words_cloud/models/requests/link_header_footers_to_previous_request'
require_relative 'aspose_words_cloud/models/requests/load_web_document_request'
require_relative 'aspose_words_cloud/models/requests/merge_with_next_request'
require_relative 'aspose_words_cloud/models/requests/merge_with_next_online_request'
require_relative 'aspose_words_cloud/models/requests/move_file_request'
require_relative 'aspose_words_cloud/models/requests/move_folder_request'
require_relative 'aspose_words_cloud/models/requests/optimize_document_request'
require_relative 'aspose_words_cloud/models/requests/optimize_document_online_request'
require_relative 'aspose_words_cloud/models/requests/protect_document_request'
require_relative 'aspose_words_cloud/models/requests/protect_document_online_request'
require_relative 'aspose_words_cloud/models/requests/reject_all_revisions_request'
require_relative 'aspose_words_cloud/models/requests/reject_all_revisions_online_request'
require_relative 'aspose_words_cloud/models/requests/remove_all_signatures_request'
require_relative 'aspose_words_cloud/models/requests/remove_all_signatures_online_request'
require_relative 'aspose_words_cloud/models/requests/remove_range_request'
require_relative 'aspose_words_cloud/models/requests/remove_range_online_request'
require_relative 'aspose_words_cloud/models/requests/render_drawing_object_request'
require_relative 'aspose_words_cloud/models/requests/render_drawing_object_online_request'
require_relative 'aspose_words_cloud/models/requests/render_math_object_request'
require_relative 'aspose_words_cloud/models/requests/render_math_object_online_request'
require_relative 'aspose_words_cloud/models/requests/render_page_request'
require_relative 'aspose_words_cloud/models/requests/render_page_online_request'
require_relative 'aspose_words_cloud/models/requests/render_paragraph_request'
require_relative 'aspose_words_cloud/models/requests/render_paragraph_online_request'
require_relative 'aspose_words_cloud/models/requests/render_table_request'
require_relative 'aspose_words_cloud/models/requests/render_table_online_request'
require_relative 'aspose_words_cloud/models/requests/replace_text_request'
require_relative 'aspose_words_cloud/models/requests/replace_text_online_request'
require_relative 'aspose_words_cloud/models/requests/replace_with_text_request'
require_relative 'aspose_words_cloud/models/requests/replace_with_text_online_request'
require_relative 'aspose_words_cloud/models/requests/reset_cache_request'
require_relative 'aspose_words_cloud/models/requests/save_as_request'
require_relative 'aspose_words_cloud/models/requests/save_as_online_request'
require_relative 'aspose_words_cloud/models/requests/save_as_range_request'
require_relative 'aspose_words_cloud/models/requests/save_as_range_online_request'
require_relative 'aspose_words_cloud/models/requests/save_as_tiff_request'
require_relative 'aspose_words_cloud/models/requests/save_as_tiff_online_request'
require_relative 'aspose_words_cloud/models/requests/search_request'
require_relative 'aspose_words_cloud/models/requests/search_online_request'
require_relative 'aspose_words_cloud/models/requests/sign_document_request'
require_relative 'aspose_words_cloud/models/requests/sign_document_online_request'
require_relative 'aspose_words_cloud/models/requests/split_document_request'
require_relative 'aspose_words_cloud/models/requests/split_document_online_request'
require_relative 'aspose_words_cloud/models/requests/translate_node_id_request'
require_relative 'aspose_words_cloud/models/requests/translate_node_id_online_request'
require_relative 'aspose_words_cloud/models/requests/unprotect_document_request'
require_relative 'aspose_words_cloud/models/requests/unprotect_document_online_request'
require_relative 'aspose_words_cloud/models/requests/update_bookmark_request'
require_relative 'aspose_words_cloud/models/requests/update_bookmark_online_request'
require_relative 'aspose_words_cloud/models/requests/update_border_request'
require_relative 'aspose_words_cloud/models/requests/update_border_online_request'
require_relative 'aspose_words_cloud/models/requests/update_comment_request'
require_relative 'aspose_words_cloud/models/requests/update_comment_online_request'
require_relative 'aspose_words_cloud/models/requests/update_custom_xml_part_request'
require_relative 'aspose_words_cloud/models/requests/update_custom_xml_part_online_request'
require_relative 'aspose_words_cloud/models/requests/update_drawing_object_request'
require_relative 'aspose_words_cloud/models/requests/update_drawing_object_online_request'
require_relative 'aspose_words_cloud/models/requests/update_field_request'
require_relative 'aspose_words_cloud/models/requests/update_field_online_request'
require_relative 'aspose_words_cloud/models/requests/update_fields_request'
require_relative 'aspose_words_cloud/models/requests/update_fields_online_request'
require_relative 'aspose_words_cloud/models/requests/update_footnote_request'
require_relative 'aspose_words_cloud/models/requests/update_footnote_online_request'
require_relative 'aspose_words_cloud/models/requests/update_form_field_request'
require_relative 'aspose_words_cloud/models/requests/update_form_field_online_request'
require_relative 'aspose_words_cloud/models/requests/update_list_request'
require_relative 'aspose_words_cloud/models/requests/update_list_level_request'
require_relative 'aspose_words_cloud/models/requests/update_list_level_online_request'
require_relative 'aspose_words_cloud/models/requests/update_list_online_request'
require_relative 'aspose_words_cloud/models/requests/update_paragraph_format_request'
require_relative 'aspose_words_cloud/models/requests/update_paragraph_format_online_request'
require_relative 'aspose_words_cloud/models/requests/update_paragraph_list_format_request'
require_relative 'aspose_words_cloud/models/requests/update_paragraph_list_format_online_request'
require_relative 'aspose_words_cloud/models/requests/update_run_request'
require_relative 'aspose_words_cloud/models/requests/update_run_font_request'
require_relative 'aspose_words_cloud/models/requests/update_run_font_online_request'
require_relative 'aspose_words_cloud/models/requests/update_run_online_request'
require_relative 'aspose_words_cloud/models/requests/update_section_page_setup_request'
require_relative 'aspose_words_cloud/models/requests/update_section_page_setup_online_request'
require_relative 'aspose_words_cloud/models/requests/update_structured_document_tag_request'
require_relative 'aspose_words_cloud/models/requests/update_structured_document_tag_online_request'
require_relative 'aspose_words_cloud/models/requests/update_style_request'
require_relative 'aspose_words_cloud/models/requests/update_style_online_request'
require_relative 'aspose_words_cloud/models/requests/update_table_cell_format_request'
require_relative 'aspose_words_cloud/models/requests/update_table_cell_format_online_request'
require_relative 'aspose_words_cloud/models/requests/update_table_properties_request'
require_relative 'aspose_words_cloud/models/requests/update_table_properties_online_request'
require_relative 'aspose_words_cloud/models/requests/update_table_row_format_request'
require_relative 'aspose_words_cloud/models/requests/update_table_row_format_online_request'
require_relative 'aspose_words_cloud/models/requests/upload_file_request'

# APIs
require_relative 'aspose_words_cloud/api/words_api'

module AsposeWordsCloud
  # Main module
  class << self
    # Configure sdk using block.
    # AsposeWordsCloud.configure do |config|
    #   config.username = "xxx"
    #   config.password = "xxx"
    # end
    # If no block given, return the configuration singleton instance.
    def configure
      if block_given?
        yield Configuration.default
      else
        Configuration.default
      end
    end
  end
end
