# ------------------------------------------------------------------------------------
# <copyright company="Aspose" file="report_build_options.rb">
#   Copyright (c) 2025 Aspose.Words for Cloud
# </copyright>
# <summary>
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice shall be included in all
#  copies or substantial portions of the Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
#  SOFTWARE.
# </summary>
# ------------------------------------------------------------------------------------

require 'date'

module AsposeWordsCloud

  # Specifies options controlling behavior of ReportingEngine while building a report.
  class ReportBuildOptions
    NONE = "None".freeze
    ALLOWMISSINGMEMBERS = "AllowMissingMembers".freeze
    REMOVEEMPTYPARAGRAPHS = "RemoveEmptyParagraphs".freeze
    INLINEERRORMESSAGES = "InlineErrorMessages".freeze
    USELEGACYHEADERFOOTERVISITING = "UseLegacyHeaderFooterVisiting".freeze
    RESPECTJPEGEXIFORIENTATION = "RespectJpegExifOrientation".freeze
    UPDATEFIELDSSYNTAXAWARE = "UpdateFieldsSyntaxAware".freeze

    # Builds the enum from string
    # @param [String] The enum value in the form of the string
    # @return [String] The enum value
    def build_from_hash(value)
      constantValues = ReportBuildOptions.constants.select{|c| ReportBuildOptions::const_get(c) == value}
      raise "Invalid ENUM value #{value} for class #ReportBuildOptions" if constantValues.empty?
      value
    end
  end
end
